<template>
  <div class="pt-10">
    <h1 class="title"> {{ $t('userProfile.projects.pageTitle') }} </h1>
    <ListProjectCard
      :projects="featuredProjects"
      :numberOfItems="numberOfItems"
    />
  </div>
</template>

<script>
import { useFeaturedProjects } from '../store.js'

import ListProjectCard from '../components/ListProjectCard.vue'

export default {
  name: 'ThePageProjects',
  components: {
    ListProjectCard
  },
  setup () {
    const { featuredProjects } = useFeaturedProjects()

    // Pagination params: number of items per page
    let numberOfItems = 8

    return {
      featuredProjects,
      numberOfItems
    }
  }
}
</script>

<style lang="postcss" scoped>
.title {
  @apply p-10;
  @apply text-center text-2xl text-gray-800;
  @apply dark:text-gray-300;
  @apply tracking-wider;
}
</style>